Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.template
Class ClassTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.services.template.ClassTest

All Implemented Interfaces:
  junit.framework.Test

    public class ClassTest

extends BaseTestCase

Tests the class mapping of the Template Service for screen, layout and navigation.

Version:
  $Id: ClassTest.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Henning P. Schmiedehausen

Constructor Summary
`ClassTest(String name)`

Method Summary
`void` | `testDefaultClass()`
`void` | `testDefaultSublevelClass()`
`void` | `testExistingClass()`
`void` | `testExistingSublevelClass()`
`void` | `testExistingSublevelTemplate()`
`void` | `testExistingTemplate()`
`void` | `testIgnoreExistingClass()`
`void` | `testNonExistingSublevelTemplate()`
`void` | `testNonExistingTemplate()`
`void` | `testTemplateDefaults()`
`void` | `testVelocityDefaults()`

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassTest

    public ClassTest(String name)
              throws Exception

Throws:
  `Exception`

Method Detail

### testTemplateDefaults

    public void testTemplateDefaults()

### testVelocityDefaults

    public void testVelocityDefaults()

### testNonExistingTemplate

    public void testNonExistingTemplate()
                                 throws Exception

  Throws:
    `Exception`

### testNonExistingSublevelTemplate

    public void testNonExistingSublevelTemplate()
                                         throws Exception

  Throws:
    `Exception`

### testExistingTemplate

    public void testExistingTemplate()
                              throws Exception

  Throws:
    `Exception`

### testExistingSublevelTemplate

    public void testExistingSublevelTemplate()
                                      throws Exception

  Throws:
    `Exception`

### testExistingClass

    public void testExistingClass()
                           throws Exception

  Throws:
    `Exception`

### testExistingSublevelClass

    public void testExistingSublevelClass()
                                   throws Exception

  Throws:
    `Exception`

### testDefaultClass

    public void testDefaultClass()
                          throws Exception

  Throws:
    `Exception`

### testDefaultSublevelClass

    public void testDefaultSublevelClass()
                                  throws Exception

  Throws:
    `Exception`

### testIgnoreExistingClass

    public void testIgnoreExistingClass()
                                 throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.